> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/motorsport-api/tutorials-and-guides/tutorials/retrieving-results.md).

# Retrieving results

## Endpoints and includes for retrieving results

Results are retrievable via includes available on all [Live](/v3/motorsport-api/endpoints-and-entities/endpoints/live.md) and [Fixtures](/v3/motorsport-api/endpoints-and-entities/endpoints/fixtures.md) endpoints, however they can also be retrieved via most endpoints where you can include fixtures. For example on the [GET Fixture by ID](/v3/motorsport-api/endpoints-and-entities/endpoints/fixtures/get-fixture-by-id.md) endpoint:

```http
https://api.sportmonks.com/v3/motorsport/fixtures/19408487
?api_token=YOUR_TOKEN
&include=results
```

Or, if you want to get the results for the whole season, you can use a nested include:

```http
https://api.sportmonks.com/v3/motorsport/seasons/25273
?api_token=YOUR_TOKEN
&include=fixtures.results
```

The response will show the results under the fixture:

{% code expandable="true" %}

```json
{
  "data": {
    "id": 19408487,
    "sport_id": 2,
    "league_id": 3468,
    "season_id": 25273,
    "stage_id": 77476128,
    "name": "Race",
    "starting_at": "2025-12-07 13:00:00",
    // ...
    "results": [
      {
        "id": 17567017,
        "fixture_id": 19408487,
        "type_id": 9729,
        "participant_id": 37920819,
        "description": "TYRE",
        "result": {
          "compound": "HARD",
          "age_since_start": 0
        }
      },
      {
        "id": 17567189,
        "fixture_id": 19408487,
        "type_id": 9732,
        "participant_id": 37920801,
        "description": "GAP_TO_LEADER",
        "result": {
          "gap": "1 lap"
        }
      },
      {
        "id": 17566940,
        "fixture_id": 19408487,
        "type_id": 9733,
        "participant_id": 37920804,
        "description": "INTERVAL",
        "result": {
          "interval": "6.707"
        }
      },
      {
        "id": 17566957,
        "fixture_id": 19408487,
        "type_id": 9711,
        "participant_id": 37920802,
        "description": "POSITION",
        "result": {
          "position": 3
        }
      },
      {
        "id": 17567344,
        "fixture_id": 19408487,
        "type_id": 9708,
        "participant_id": 37920815,
        "description": "TIME",
        "result": {
          "time": "1:31.291"
        }
      },
      // ...
```

{% endcode %}

These types are available in the `result` include:

<table><thead><tr><th width="313.54296875">Developer name (description)</th><th>Explanation</th></tr></thead><tbody><tr><td>TIME</td><td><ul><li>The latest lap time (races)</li><li>The fastest lap time (practices and qualifications)</li></ul></td></tr><tr><td>INTERVAL</td><td><ul><li>Interval between this driver and the driver ahead (if the driver is not leading; no <code>+</code> prefix)</li><li>The amount of laps behind (if the driver is not leading, e.g. '1 lap'; no <code>+</code> prefix)</li><li>The total racing time, if available (If the driver is P1)</li></ul></td></tr><tr><td>GAP_TO_LEADER</td><td><ul><li>The time gap between this driver and the leading driver (if the driver is not leading, no <code>+</code> prefix)</li><li>The amount of laps behind (if the driver is not leading, e.g. '1 lap', no <code>+</code> prefix)</li><li>The total racing time, if available (if the driver is P1)</li><li><code>DNS</code>/<code>DNF</code> status (Note: We recommend to use the dedicated STATUS type instead - this is available in the lineup details, described further on this page)</li></ul></td></tr><tr><td>POSITION</td><td>The current position of the driver in the race</td></tr><tr><td>TYRE</td><td>The current used tyre compound (<code>SOFT</code>, <code>MEDIUM</code>, <code>HARD</code>, <code>INTERMEDIATE</code>, <code>WET</code>, <code>TEST_UNKNOWN</code>*) and age since start (in number of laps)<br><sub>*<code>TEST_UNKNOWN</code> is a type only used during pre-season testing sessions, and means that a driver is testing prototype tyres</sub></td></tr></tbody></table>

### Matching results to the driver

To match each result to a driver, you have three options:

1. Pre-load all the drivers into your application using the [GET All Drivers](/v3/motorsport-api/endpoints-and-entities/endpoints/drivers/get-all-drivers.md) endpoint (Recommended for an initial data load)
2. Use the `lineups.driver` nested include to retrieve all the drivers for the fixture (Recommended at least at the session start, to retrieve any new drivers)
3. Including the driver on the result using the `results.participant` nested include (Not recommended due to decreased performance and larger responses)

## The 'lineup details' alternative

The results include gives you a subset of the most important result data. Do you need more?You can use the `lineups.details` include to retrieve the full set of types using this endpoint:

```http
https://api.sportmonks.com/v3/motorsport/fixtures/19408487
?api_token=YOUR_TOKEN
&include=lineups.details
```

In the table below is an explanation of all the types available using this include:

<table><thead><tr><th width="313.54296875">Developer name</th><th>Explanation</th></tr></thead><tbody><tr><td>TIME</td><td><ul><li>The latest lap time (races)</li><li>The fastest lap time (practices and qualifications)</li></ul></td></tr><tr><td>INTERVAL</td><td><ul><li>Interval between this driver and the driver ahead (if the driver is not leading; no <code>+</code> prefix)</li><li>The amount of laps behind (if the driver is not leading, e.g. '1 lap'; no <code>+</code> prefix)</li><li>The total racing time, if available (If the driver is P1)</li></ul></td></tr><tr><td>GAP_TO_LEADER</td><td><ul><li>The time gap between this driver and the leading driver (if the driver is not leading, no <code>+</code> prefix)</li><li>The amount of laps behind (if the driver is not leading, e.g. '1 lap', no <code>+</code> prefix)</li><li>The total racing time, if available (if the driver is P1)</li><li><code>DNS</code>/<code>DNF</code> status (Note: We recommend to use the dedicated STATUS type instead - see STATUS below)</li></ul></td></tr><tr><td>POSITION</td><td>The current position of the driver in the race</td></tr><tr><td>STATUS</td><td>The status of the driver: <code>DNS</code>/<code>DNF</code>/<code>DSQ</code></td></tr><tr><td>TYRE</td><td>The current used tyre comound (<code>SOFT</code>, <code>MEDIUM</code>, <code>HARD</code>, <code>INTERMEDIATE</code>, <code>WET</code>, <code>TEST_UNKNOWN</code>*) and age since start (in number of laps)<br><sub>*<code>TEST_UNKNOWN</code> is a type only used during pre-season testing sessions, and means that a driver is testing prototype tyres</sub></td></tr><tr><td>LAPS</td><td>The amount of laps</td></tr><tr><td>PITSTOPS</td><td>The amount of pitstops</td></tr><tr><td>FASTEST_LAP</td><td>The driver fastest lap time and the lap number</td></tr><tr><td>POINTS</td><td>The points that would be assigned to the driver if they finish on their current position (live) or the points received for the race (after race), only available for race type sessions</td></tr><tr><td>GRID_POSITION</td><td>The grid position, only available for race type sessions</td></tr></tbody></table>

This include is a bit more advanced, as the type is not included by default. However, with the `lineups` include, the driver name, number and grid position is also included in the response. In the example below, the include is enriched with types by using `lineups.details.type`:

{% code expandable="true" %}

```json
{
  "data": {
    "id": 19408487,
    "sport_id": 2,
    "league_id": 3468,
    "season_id": 25273,
    "stage_id": 77476128,
    // ...
    "lineups": [
      {
        "id": 14671697707,
        "sport_id": 2,
        "fixture_id": 19408487,
        "player_id": 37920803,
        "team_id": 276189,
        "position_id": 9730,
        "type_id": 11,
        "grid_position": 16,
        "driver_name": "Lewis Hamilton",
        "driver_number": 44,
        "details": [
          {
            "id": 1816685465,
            "fixture_id": 19408487,
            "player_id": 37920803,
            "team_id": 276189,
            "lineup_id": 14671697707,
            "type_id": 9707,
            "data": {
              "points": 4
            },
            "type": {
              "id": 9707,
              "name": "Points",
              "code": "points",
              "developer_name": "POINTS",
              "model_type": "score",
              "stat_group": null
            }
          },
          {
            // ...
            "type_id": 9712,
            "data": {
              "position": 16
            },
            "type": {
              "id": 9712,
              "name": "Grid Position",
              "code": "grid-position",
              "developer_name": "GRID_POSITION",
              "model_type": "score",
              "stat_group": null
            }
          },
          {
            // ...
            "type_id": 9710,
            "data": {
              "laps": 58
            },
            "type": {
              "id": 9710,
              "name": "Laps",
              "code": "laps",
              "developer_name": "LAPS",
              "model_type": "score",
              "stat_group": null
            }
          },
          {
            // ...
            "type_id": 9709,
            "data": {
              "stops": 2
            },
            "type": {
              "id": 9709,
              "name": "Pitstops",
              "code": "pitstops",
              "developer_name": "PITSTOPS",
              "model_type": "score",
              "stat_group": null
            }
          },
          {
            // ...
            "type_id": 9716,
            "data": {
              "time": "1:28.094",
              "lap_number": 36
            },
            "type": {
              "id": 9716,
              "name": "Fastest Lap",
              "code": "fastest-lap",
              "developer_name": "FASTEST_LAP",
              "model_type": "score",
              "stat_group": null
            }
          },
          {
            // ...
            "type_id": 9733,
            "data": {
              "interval": "2.794"
            },
            "type": {
              "id": 9733,
              "name": "Interval",
              "code": "interval",
              "developer_name": "INTERVAL",
              "model_type": "score",
              "stat_group": null
            }
          }
        ]
      },
      // ...
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/motorsport-api/tutorials-and-guides/tutorials/retrieving-results.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
